Bug 623254 - upgrade to tomcat5-5.5.23-0jpp.9.el5_5 causes StackOverflowError
Summary: upgrade to tomcat5-5.5.23-0jpp.9.el5_5 causes StackOverflowError
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tomcat5   
(Show other bugs)
Version: 5.5
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: David Knox
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords: ZStream
Depends On: 620996
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 17:38 UTC by RHEL Product and Program Management
Modified: 2015-11-02 00:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when Tomcat was starting up, it failed to undeploy applications and returned a 'StackOverflowError' exception. This was caused by an infinite loop that eventually caused Tomcat to run out of memory. The infinite loop was a result of a faulty check that searched for directory traversal attempts in WAR archives. With this update, the undeploying of applications works as expected and no longer returns a stack overflow error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-06 10:35:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0744 normal SHIPPED_LIVE tomcat5 bug fix update 2010-10-06 10:34:52 UTC

Internal Trackers: 623465

Description RHEL Product and Program Management 2010-08-11 17:38:34 UTC
This bug has been copied from bug #620996 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 8 Martin Prpič 2010-10-06 09:46:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, when Tomcat was starting up, it failed to undeploy applications and returned a 'StackOverflowError' exception. This was caused by an infinite loop that eventually caused Tomcat to run out of memory. The infinite loop was a result of a faulty check that searched for directory traversal attempts in WAR archives. With this update, the undeploying of applications works as expected and no longer returns a stack overflow error.

Comment 10 errata-xmlrpc 2010-10-06 10:35:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0744.html


Note You need to log in before you can comment on or make changes to this bug.